Subject: bug#9840: 23.3; rmail-edit-current-message destroys MIME messages [SEVERE]

From: Glenn Morris <[email-masked]>
Date: Tue, 15 Nov 2011 21:10:33 -0500

Glenn Morris wrote:

> Eli Zaretskii wrote:
>
>> Do the equivalent of `v' (rmail-mime) to get the rmail-view-buffer to
>> its original non-MIME
>
> I think your method is right; except currently this doesn't work because
> of bug#9520.

Actually 9520 does not seem to be relevant, because rmail-mime does not
seem to offer a way to show the raw message. Toggling rmail-mime off is
not the same as viewing a message with rmail-enable-mime nil. The mime
boundaries are always absent.

Anyway, I installed something that hopefully stops rmailedit destroying
messages. I hope Rmail users will test it.

Feel free to rip this out and replace it with something more elegant...